Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatEventLogFilters

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventLogFilters

Enclosing class:
  TdApi

public static final class TdApi.ChatEventLogFilters extends TdApi.Object
Represents a set of filters used to obtain a chat event log.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`forumChanges`
True, if forum-related actions need to be returned.
`boolean`
`infoChanges`
True, if changes in chat information need to be returned.
`boolean`
`inviteLinkChanges`
True, if changes to invite links need to be returned.
`boolean`
`memberInvites`
True, if invited member events need to be returned.
`boolean`
`memberJoins`
True, if members joining events need to be returned.
`boolean`
`memberLeaves`
True, if members leaving events need to be returned.
`boolean`
`memberPromotions`
True, if member promotion/demotion events need to be returned.
`boolean`
`memberRestrictions`
True, if member restricted/unrestricted/banned/unbanned events need to be returned.
`boolean`
`messageDeletions`
True, if message deletions need to be returned.
`boolean`
`messageEdits`
True, if message edits need to be returned.
`boolean`
`messagePins`
True, if pin/unpin events need to be returned.
`boolean`
`settingChanges`
True, if changes in chat settings need to be returned.
`boolean`
`videoChatChanges`
True, if video chat actions need to be returned.

## Constructor Summary

Constructors
Constructor
Description
`ChatEventLogFilters()`
Represents a set of filters used to obtain a chat event log.
`ChatEventLogFilters(boolean messageEdits, boolean messageDeletions, boolean messagePins, boolean memberJoins, boolean memberLeaves, boolean memberInvites, boolean memberPromotions, boolean memberRestrictions, boolean infoChanges, boolean settingChanges, boolean inviteLinkChanges, boolean videoChatChanges, boolean forumChanges)`
Represents a set of filters used to obtain a chat event log.
`ChatEventLogFilters(DataInput input)`
Represents a set of filters used to obtain a chat event log.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### messageEdits

public boolean messageEdits
True, if message edits need to be returned.

### messageDeletions

public boolean messageDeletions
True, if message deletions need to be returned.

### messagePins

public boolean messagePins
True, if pin/unpin events need to be returned.

### memberJoins

public boolean memberJoins
True, if members joining events need to be returned.

### memberLeaves

public boolean memberLeaves
True, if members leaving events need to be returned.

### memberInvites

public boolean memberInvites
True, if invited member events need to be returned.

### memberPromotions

public boolean memberPromotions
True, if member promotion/demotion events need to be returned.

### memberRestrictions

public boolean memberRestrictions
True, if member restricted/unrestricted/banned/unbanned events need to be returned.

### infoChanges

public boolean infoChanges
True, if changes in chat information need to be returned.

### settingChanges

public boolean settingChanges
True, if changes in chat settings need to be returned.

### inviteLinkChanges

public boolean inviteLinkChanges
True, if changes to invite links need to be returned.

### videoChatChanges

public boolean videoChatChanges
True, if video chat actions need to be returned.

### forumChanges

public boolean forumChanges
True, if forum-related actions need to be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatEventLogFilters

public ChatEventLogFilters()
Represents a set of filters used to obtain a chat event log.

### ChatEventLogFilters

public ChatEventLogFilters(boolean messageEdits, boolean messageDeletions, boolean messagePins, boolean memberJoins, boolean memberLeaves, boolean memberInvites, boolean memberPromotions, boolean memberRestrictions, boolean infoChanges, boolean settingChanges, boolean inviteLinkChanges, boolean videoChatChanges, boolean forumChanges)
Represents a set of filters used to obtain a chat event log.

Parameters:
  `messageEdits` - True, if message edits need to be returned.
  `messageDeletions` - True, if message deletions need to be returned.
  `messagePins` - True, if pin/unpin events need to be returned.
  `memberJoins` - True, if members joining events need to be returned.
  `memberLeaves` - True, if members leaving events need to be returned.
  `memberInvites` - True, if invited member events need to be returned.
  `memberPromotions` - True, if member promotion/demotion events need to be returned.
  `memberRestrictions` - True, if member restricted/unrestricted/banned/unbanned events need to be returned.
  `infoChanges` - True, if changes in chat information need to be returned.
  `settingChanges` - True, if changes in chat settings need to be returned.
  `inviteLinkChanges` - True, if changes to invite links need to be returned.
  `videoChatChanges` - True, if video chat actions need to be returned.
  `forumChanges` - True, if forum-related actions need to be returned.

### ChatEventLogFilters

public ChatEventLogFilters(DataInput input) throws IOException
Represents a set of filters used to obtain a chat event log.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`